package com.lz.modules.flow.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*模板计算公式
* @author quyixiao
* @since 2020-10-14
*/

@Data
@ApiModel(value = "模板计算公式Dto")
public class ResultCalculateDto implements java.io.Serializable {

    private Long id;

    //公式名称
    @ApiModelProperty(value = "公式名称", name = "name")
    private String name;

    //备注说明
    @ApiModelProperty(value = "备注说明", name = "remark")
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 公式名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 公式名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 计算公式：表明.字段名[+|-|*|/]表明.字段名... 
     * @return
     */


    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 业务id，用域区分公式使用地方 
     * @return
     */


    @Override
    public String toString() {
        return "ResultCalculate{" +
                ",id=" + id +
                ",name=" + name +
                ",remark=" + remark +
                "}";
    }
}